\section{Results and conclusions}

The experiment involved creating a deep neural network for Handwritten
Text Recognition (HTR) and using the IAM dataset for training and evaluation.
The aim was to develop an accurate model that could effectively transcribe
handwritten text. After implementing and training the network, the results
obtained were pretty good.

The deep neural network trained on the IAM dataset demonstrated
promising performance in the HTR task. The model was able to accurately
recognize and transcribe a significant portion of the handwritten text. While
the results were decent, there may still be room for further improvement in
terms of accuracy and robustness. The experiment lays a solid foundation for
future iterations and enhancements of the HTR model, potentially leading to even
better results.

The first place for improvement is the extracting of the text lines from the
images. The current implementation is not perfect and may fail to extract some
text lines. The extraction of the individual words from the line image is also
not ideal. Sometimes the algorithm used could split one word into two images.
This can be improved by using a neural network for the text detection on the
images and later on extracted by the simple image processing operation.

The second place for improvement is the language model. In current phase of the
project, the language model is not used. The language model can improve the
misspelled words and the overall correct the flow of the predicted words that
construct the sentence.